=== modified file 'ar_account/__init__.pyc'
Binary files ar_account/__init__.pyc and ar_account/__init__.pyc differ
=== added directory 'koi_account_query'
=== added file 'koi_account_query/__init__.py'
--- koi_account_query/__init__.py	1970-01-01 00:00:00 +0000
+++ koi_account_query/__init__.py	2014-05-03 02:21:32 +0000
@@ -0,0 +1,26 @@
+# -*- coding: utf-8 -*-
+##############################################################################
+#
+#    OpenERP, Open Source Management Solution
+#    Copyright (C) 2004-2010 Tiny SPRL (<http://tiny.be>).
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as
+#    published by the Free Software Foundation, either version 3 of the
+#    License, or (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+##############################################################################
+
+import report
+
+
+
+# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:

=== added file 'koi_account_query/__openerp__.py'
--- koi_account_query/__openerp__.py	1970-01-01 00:00:00 +0000
+++ koi_account_query/__openerp__.py	2014-05-03 02:21:32 +0000
@@ -0,0 +1,43 @@
+# -*- coding: utf-8 -*-
+##############################################################################
+#
+#    OpenERP, Open Source Management Solution
+#    Copyright (C) 2004-2010 Tiny SPRL (<http://tiny.be>).
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as
+#    published by the Free Software Foundation, either version 3 of the
+#    License, or (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+##############################################################################
+{
+    'name' : 'KOI Accounting - Accounting On Screen Query',
+    'version' : '1.1',
+    'author' : 'Kawula OpenERP Indonesia; Andhitia Rama & Michael Viriyananda',
+    'category' : 'Accounting',
+    'summary' : 'Accounting Application',
+    'description' : """
+    """,
+    'website': 'http://kawulaopenerpindonesia.wordpress.com http://andhitiarama.wordpress.com',
+    'images' : [],
+    'depends' : [   'ar_account'
+                ],
+    'data' : [ ],
+    'js' : [],
+    'qweb' : [],
+    'css' : [],
+    'demo ': [],
+    'test': [],
+    'installable': True,
+    'auto_install': False,
+    'application' : True,
+}
+# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:

=== added directory 'koi_account_query/report'
=== added file 'koi_account_query/report/__init__.py'
--- koi_account_query/report/__init__.py	1970-01-01 00:00:00 +0000
+++ koi_account_query/report/__init__.py	2014-05-03 02:21:32 +0000
@@ -0,0 +1,26 @@
+# -*- coding: utf-8 -*-
+##############################################################################
+#
+#    OpenERP, Open Source Management Solution
+#    Copyright (C) 2004-2010 Tiny SPRL (<http://tiny.be>).
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as
+#    published by the Free Software Foundation, either version 3 of the
+#    License, or (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+##############################################################################
+
+import query_cash_in_out
+
+
+
+# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:

=== added file 'koi_account_query/report/query_cash_in_out.py'
--- koi_account_query/report/query_cash_in_out.py	1970-01-01 00:00:00 +0000
+++ koi_account_query/report/query_cash_in_out.py	2014-05-03 02:21:32 +0000
@@ -0,0 +1,76 @@
+# -*- coding: utf-8 -*-
+##############################################################################
+#
+#    OpenERP, Open Source Management Solution
+#    Copyright (C) 2004-2010 Tiny SPRL (<http://tiny.be>).
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as
+#    published by the Free Software Foundation, either version 3 of the
+#    License, or (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+##############################################################################
+
+import tools
+from osv import fields,osv
+from decimal_precision import decimal_precision as dp
+
+
+class query_cash_in_out(osv.osv):
+
+    _name = 'account.query_cash_in_out'
+    _description = 'Query Cash In/Out'
+    _auto = False
+    _columns = {
+                'name' : fields.char(string='Description', size=64),
+                'move_id' : fields.many2one(string='# Move', obj='account.move'),
+                'account_id' : fields.many2one(string='Account', obj='account.account'),
+                'company_id' : fields.many2one(string='Company', obj='res.company'),
+                'date' : fields.date(string='Date'),
+                'journal_id' : fields.many2one(string='Journal', obj='account.journal'),
+                'partner_id' : fields.many2one(string='Partner', obj='res.partner'),
+                'period_id' : fields.many2one(string='Period', obj='account.period'),
+                'debit' : fields.float(string='Debit'),
+                'credit' : fields.float(string='Credit'),
+                            
+
+                            }
+
+    def init(self, cr):
+        tools.drop_view_if_exists(cr, 'account_query_cash_in_out')
+        strSQL =    """
+                    CREATE OR REPLACE VIEW account_query_cash_in_out AS (
+                        SELECT
+                                A.id AS id,
+                                A.name AS name,
+                                A.move_id AS move_id,
+                                A.account_id AS account_id,
+                                B.company_id AS company_id,
+                                B.date as date,
+                                B.journal_id AS journal_id,
+                                A.partner_id AS partner_id,
+                                B.period_id AS period_id,
+                                A.debit AS debit,
+                                A.credit AS credit
+                        FROM account_move_line AS A
+                        JOIN account_move AS B ON A.move_id = B.id
+                        JOIN account_journal C ON B.journal_id = C.id
+                        WHERE   (C.type = 'cash' OR C.type = 'bank') AND
+                                B.state = 'posted'
+                    )
+                    """
+        
+        
+        cr.execute(strSQL)
+
+query_cash_in_out()
+
+# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:

=== added directory 'koi_account_query/static'
=== added directory 'koi_account_query/static/src'
=== added directory 'koi_account_query/static/src/img'
=== added file 'koi_account_query/static/src/img/icon.png'
Binary files koi_account_query/static/src/img/icon.png and koi_account_query/static/src/img/icon.png differ
